Bug 1046077 - Not possible to start time tracking with hamster
Summary: Not possible to start time tracking with hamster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hamster-time-tracker
Version: rawhide
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-23 14:07 UTC by Sergey Bostandzhyan
Modified: 2015-07-14 16:42 UTC (History)
3 users (show)

Fixed In Version: xfce4-hamster-plugin-1.6.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-14 16:42:49 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1156632 0 high CLOSED Build hamster-time-tracker for EPEL 2021-02-22 00:41:40 UTC

Internal Links: 1156632

Description Sergey Bostandzhyan 2013-12-23 14:07:08 UTC
Description of problem:

tracking can not be started, i.e. clicking on the "Start Tracking" button has no effect.


Version-Release number of selected component:
hamster-time-tracker-1.03.3-2.fc20.noarch


The problem is that the rpm package misses the gnome-python2-libwnck dependency.

Console output was saying:
$ hamster
WARNING:root:Could not import wnck - workspace tracking will be disabled
/usr/lib/python2.7/site-packages/hamster/today.py:118: GtkWarning: _gtk_accel_group_attach: assertion 'g_slist_find (accel_group->acceleratables, object) == NULL' failed
  self.window.add_accel_group(self.accel_group)

After yum-installing gnome-python2-libwnck and restarting hamster everything worked as expected and the warning output was gone.

Comment 1 Ankur Sinha (FranciscoD) 2013-12-23 15:39:31 UTC
Thank you for your bug report. wnck is only needed if you're using workspaces with hamster. You should be able to use hamster just fine without wnck. 

It's an optional dependency and not needed for core hamster functionality, which is why I haven't added it as a default Requires. 

Thanks,
ANkur

Comment 2 Sergey Bostandzhyan 2013-12-23 15:49:44 UTC
Hi,

well, I do have workspaces configured in general, however I had no intention to use them with Hamster. Usually I just click the hamster icon and start/stop tracking manually, that's it.

So, I did not have any workspace related configuration inside hamster, nevertheless it refused to start tracking time and it only started to work as usual when I installed the wnck dependency.

Can you reproduce that on your system or does it work for you even without wnck?

I did remove wnck now and tested again. Weird thing, but the "Start tracking" button reacts now, however when I move the mouse over the applet icon in the panel it says "No activity". When I open the tracking window I see that it is actually tracking my time.

Installed wnck once again - no change, tooltip will still show "no activity" but the button works.

So I guess you are right, the issues that I have seen are probably a result of some other bug which I can not clearly reproduce :(

Thanks for the fast response, I guess you can close this one as it turned out not to be wnck dependency related in the end.
Kind regards,
Jin

Comment 3 Ankur Sinha (FranciscoD) 2013-12-24 01:07:48 UTC
(In reply to Sergey Bostandzhyan from comment #2)
> Hi,
> 
> well, I do have workspaces configured in general, however I had no intention
> to use them with Hamster. Usually I just click the hamster icon and
> start/stop tracking manually, that's it.
> 
> So, I did not have any workspace related configuration inside hamster,
> nevertheless it refused to start tracking time and it only started to work
> as usual when I installed the wnck dependency.
> 
> Can you reproduce that on your system or does it work for you even without
> wnck?
> 

I thought I'd tested it without wnck and it had worked. The workspace configuration used to be greyed out. 

> I did remove wnck now and tested again. Weird thing, but the "Start
> tracking" button reacts now, however when I move the mouse over the applet
> icon in the panel it says "No activity". When I open the tracking window I
> see that it is actually tracking my time.

What applet are you referring to? The gnome-shell extension or another one? The gnome-shell extension's been working OK for me.

> 
> Installed wnck once again - no change, tooltip will still show "no activity"
> but the button works.
> 
> So I guess you are right, the issues that I have seen are probably a result
> of some other bug which I can not clearly reproduce :(
> 
> Thanks for the fast response, I guess you can close this one as it turned
> out not to be wnck dependency related in the end.
> Kind regards,
> Jin

I'm adding the wnck dep and pushing an update. It might pull in other packages, but it's better than users wondering why workspaces aren't working I'd think.

Thanks for reporting the bug. I'll push an update soon. Please do test it and give karma if you can.

Thanks,
Warm regards,
Ankur

Comment 4 Fedora Update System 2013-12-24 01:20:03 UTC
hamster-time-tracker-1.03.3-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-23482/hamster-time-tracker-1.03.3-4.fc20

Comment 5 Sergey Bostandzhyan 2013-12-24 13:26:10 UTC
Hi Ankur,

> I thought I'd tested it without wnck and it had worked. The workspace
> configuration used to be greyed out.

This is correct, the workspace configuration was indeed greyed out, and as I mentioned earlier, I was not using any workspace configuration in hamster. However for some reason - and this is what I could not reproduce any more - the "start tracking" button was not doing anything.

> What applet are you referring to? The gnome-shell extension or another one?
> The gnome-shell extension's been working OK for me.

I am using mate, I guess I referred to it as "applet" because in Fedora 14 (which was my previous distro) there was a panel applet for hamster, the new version just has an icon when hamster is running, but I guess it's more or less the same.


> I'm adding the wnck dep and pushing an update. It might pull in other
> packages, but it's better than users wondering why workspaces aren't 
> working I'd think.

Yes, I think it's a better solution, it did not pull anything else for me when I installed wnck anyway and if it does, I don't think it will be much. And indeed, a user who won't try it from the command line will never know why the workspace configuration is disabled if wnck is not installed.

> Thanks for reporting the bug. I'll push an update soon. Please do test it 
> and give karma if you can.

No problem, thanks for the fast response, I'll be waiting for the update to arrive in the repo and will let you know how it went.

Kind regards,
Jin

Comment 6 Fedora Update System 2013-12-25 02:33:00 UTC
Package hamster-time-tracker-1.03.3-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hamster-time-tracker-1.03.3-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23482/hamster-time-tracker-1.03.3-4.fc20
then log in and leave karma (feedback).

Comment 7 lnie 2013-12-25 02:40:08 UTC
1.03.3-4.fc20 works fine

Comment 8 Sergey Bostandzhyan 2013-12-25 22:49:00 UTC
Installed the package, everything worked as expected, I left a positive comment (hope anonymous testers counts for karma?), I did not want to create yet another account.

Comment 9 Ankur Sinha (FranciscoD) 2013-12-25 23:29:10 UTC
Anonymous users' karma does not count. That's OK. As long as I know the update is OK, I can manually push it to stable in a bit. Thanks for testing it out. :)

Comment 10 Fedora Update System 2013-12-29 18:23:34 UTC
hamster-time-tracker-1.03.3-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hamster-time-tracker-1.03.3-6.fc19

Comment 11 Fedora Update System 2013-12-31 01:53:24 UTC
Package hamster-time-tracker-1.03.3-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hamster-time-tracker-1.03.3-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23482/hamster-time-tracker-1.03.3-6.fc20
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2013-12-31 19:00:52 UTC
hamster-time-tracker-1.03.3-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-01-08 07:51:56 UTC
hamster-time-tracker-1.03.3-6.fc19 has been pushed to the Fedora 19 stable repository.

Comment 14 Raphael Groner 2015-04-22 17:24:28 UTC
The fix does not work at EPEL cause there's no gnome.

Comment 15 Fedora Update System 2015-04-22 17:27:24 UTC
hamster-time-tracker-1.04-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/hamster-time-tracker-1.04-5.el7

Comment 16 Fedora Update System 2015-04-23 19:01:08 UTC
hamster-time-tracker-1.04-5.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 17 Fedora Update System 2015-05-08 13:50:47 UTC
xfce4-hamster-plugin-1.6.1-1.el7, hamster-time-tracker-1.04-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-1450/hamster-time-tracker-1.04-5.el7,xfce4-hamster-plugin-1.6.1-1.el7

Comment 18 Fedora End Of Life 2015-05-29 10:07:56 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Raphael Groner 2015-05-29 19:16:48 UTC
Setting to rawhide to keep this bug open, since we are waiting for the final push of the testing package.

Comment 20 Fedora Update System 2015-07-14 16:42:49 UTC
xfce4-hamster-plugin-1.6.1-1.el7, hamster-time-tracker-1.04-5.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.